# $Id: pfstat.conf.example,v 1.1.1.1 2007/01/11 16:01:58 dhartmei Exp $
#
# /etc/pfstat.conf example
#

# collect
#   global
#     states entries|searches|inserts|removals [diff]
#     counters match|bad-offset|fragment|...|translate [diff]
#              (see pfctl -si output, same strings)
#   interface name pass|block packets|bytes in|out v4|v6 [diff]
#   queue name passed|dropped|other packets|bytes|number [diff]

collect 1 = interface "sis0" pass bytes in ipv4 diff
collect 2 = interface "sis0" pass bytes out ipv4 diff
collect 3 = global states entries

image "/var/www/htdocs/benzedrine.cx/pfstat.jpg" {
	from 1 days to now
	width 980 height 300
	left
		graph 1 bps "in" "bits/s" color 0 192 0 filled,
		graph 2 bps "out" "bits/s" color 0 0 255
	right
		graph 3 "states" "entries" color 192 192 0
}

collect 4 = interface "sis0" pass packets in ipv4 diff
collect 5 = interface "sis0" pass packets out ipv4 diff
collect 6 = interface "sis0" block packets in ipv4 diff
collect 7 = interface "sis0" block packets out ipv4 diff

image "/var/www/htdocs/benzedrine.cx/pfstat-packets.jpg" {
	from 1 days to now
	width 980 height 300
	left
		graph 4 "pass in"   "packets/s" color 0 192 0 filled,
		graph 5 "pass out"  "packets/s" color 0 0 255
	right
		graph 6 "block in"  "packets/s" color 255 0 0,
		graph 7 "block out" "packets/s" color 192 192 0
}

collect  8 = global states inserts  diff
collect  9 = global states removals diff
collect 10 = global states searches diff

image "/var/www/htdocs/benzedrine.cx/pfstat-states.jpg" {
	from 1 days to now
	width 980 height 300
        left
		graph 8 "inserts" "states/s" color 0 192 0 filled,
		graph 9 "removals" "states/s" color 0 0 255
        right
		graph 10 "searches" "states/s" color 255 0 0
}

collect 11 = queue "q_max" pass bytes diff
collect 12 = queue "q_hig" pass bytes diff
collect 13 = queue "q_def" pass bytes diff
collect 14 = queue "q_low" pass bytes diff

image "/var/www/htdocs/benzedrine.cx/pfstat-queues.jpg" {
	from 1 days to now
	width 980 height 300
        left
		graph 11 bps "max" "bits/s" color 255 0 0,
		graph 12 bps "hig" "bits/s" color 192 192 0,
		graph 13 bps "def" "bits/s" color 0 192 0,
		graph 14 bps "low" "bits/s" color 0 0 255 
}

collect 15 = global counters match          diff
collect 16 = global counters bad-offset     diff
collect 17 = global counters fragment       diff
collect 18 = global counters short          diff
collect 19 = global counters normalize      diff
collect 20 = global counters memory         diff
collect 21 = global counters bad-timestamp  diff
collect 22 = global counters congestion     diff
collect 23 = global counters ip-option      diff
collect 24 = global counters proto-cksum    diff
collect 25 = global counters state-mismatch diff
collect 26 = global counters state-insert   diff
collect 27 = global counters state-limit    diff
collect 28 = global counters src-limit      diff
collect 29 = global counters synproxy       diff
collect 30 = global counters translate      diff

image "/var/www/htdocs/benzedrine.cx/pfstat-errors.jpg" {
	from 1 days to now
	width 980 height 300
        left
		graph 17 "frag" "/s" color 192 0 192,
		graph 22 "cong" "/s" color 0 192 192,
		graph 23 "iopt" "/s" color 0 0 255,
		graph 24 "csum" "/s" color 192 192 0,
		graph 25 "mism" "/s" color 255 0 0
#		others are usually all zero here
	right
		graph 15 "match" "/s" color 0 192 0
}

